@charset "UTF-8";
/* select-size CSS */
.sec-select_size{
    container-type: inline-size;
    container-name: select_size;
}

/* アンカーリンク */
.anchorlink{
    gap: 20px;
    align-items: stretch;
}
.anchorlink li{
    width: calc(25% - 15px);
    background-color: #fff;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.1);
}
.anchorlink li a{
    display: block;
}
.anchorlink .link-ttl{
    letter-spacing: 0;
    background-color: var(--color-main);
    padding: 8px 40px 8px 10px;
    position: relative;
}
.anchorlink .link-ttl .arrow{
    width: 25px;
    height: 25px;
    background-color: #fff;
    border-radius: 15px;
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
}

.anchorlink .link-ttl .arrow::before{
    content: "";
    display: block;
    background-color: var(--color-main);
    width: 15px;
    height: 10px;
    clip-path: polygon(50% 100%, 0 0, 100% 0);
    position: absolute;
    top: 50%;
    right: 5px;
    transform: translateY(-50%);
}

.anchorlink .link-bgimg{
    position: relative;
    height: 145px;
    background-position: center 20%;
}

.anchorlink .naga .link-bgimg{
    background-image: url(../../img/select/bg-size-itemlink-naga.jpg);
}
.anchorlink .kaku .link-bgimg{
    background-image: url(../../img/select/bg-size-itemlink-kaku.jpg);
}
.anchorlink .you .link-bgimg{
    background-image: url(../../img/select/bg-size-itemlink-you.jpg);
}
.anchorlink .machi .link-bgimg{
    background-image: url(../../img/select/bg-size-itemlink-machi.jpg);
}


.anchorlink .link-itemimg{
    width: 180px;
    position: absolute;
    top: -20px;
    right: 0;
}

.anchorlink .link-guide{
    padding: 20px 10px 15px 10px;
}

@media (min-width: 768px) {
    .anchorlink li{
        transition: all 0.3s ease;
    }
    .anchorlink li:hover {
        box-shadow: 2px 2px 3px rgba(0, 0, 0, 0.1);
        transform: translateY(3px);
    }
}

@container select_size (max-width: 750px) {
    .anchorlink li {
        width: calc(50% - 10px);
    }
    .anchorlink .link-ttl {
        padding: 3px 40px 3px 10px;
    }
    .anchorlink .link-bgimg {
        height: 100px;
        background-position: left 20%;
    }
    .anchorlink .link-bgimg::before{
        content: "";
        display: block;
        width: 50px;
        height: 100%;
        background-image: linear-gradient(90deg, transparent, #fff);
        position: absolute;
        top: 0;
        left: 200px;
    }
    .anchorlink .link-itemimg {
        width: 125px;
        position: absolute;
        top: -12px;
        right: 15px;
    }
    .anchorlink .link-guide {
        padding: 15px 10px 10px;
    }
}

@container select_size (max-width: 350px) {
    .anchorlink .link-ttl {
        font-size: 95%;
    }
}


/* 商品リスト */
.linkarea-list{
    gap: 30px;
}
.linkarea-list li {
    display: flex;
    flex-direction: column;
    align-items: center;

    width: calc(25% - 22.5px);
    border: 2px solid var(--color-border);
    border-radius: 5px;
    overflow: hidden;
}

.linkarea-list.machi li {
    width: calc(33.3333% - 20px);
}

.img-area{
    width: 100%;
    height: 150px;
    background-color: #f5f5f5;
    display: flex;
    justify-content: center; 
    align-items: center;
}
.img-area img{
    width: auto;
    height: 150px;
}

.item-type,
.item-txt{
    padding-left: 10px;
    padding-right: 10px;
}
.item-type{
    flex: 1;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    padding-bottom: 10px;
}
.item-type .subttl{
    display: block;
    font-size: 80%;
    line-height: 1;
}

.item-txt{
    position: relative;
}
.item-txt::before{
    content: "";
    display: block;
    width: calc(100% - 20px);
    height: 1px;
    background-color: #ddd;
    position: absolute;
    top: -3px;
    left: 50%;
    transform: translateX(-50%);
}

.btn-area{
    width: 100%;
}
.btn-area .btn_muji,
.btn-area .btn_print{
    width: 50%;
    text-align: center;
    padding: 8px 0;
}
.btn-area .btn_muji.only{
    width: 100%;
}
.btn-area .btn_muji{
    background-color: #f5f5f5;
}
.btn-area .btn_print{
    background-color: #ffec90;
}

@media (min-width: 768px) {
    .btn-area > a{
        text-decoration: underline;
        text-underline-offset: 5px;
        text-decoration-color: transparent;
        transition: text-decoration-color 0.3s ease;
    }
    .btn-area > a:hover{
        text-decoration-color: currentColor;
    }
}

@container select_size (max-width: 720px) {
    .linkarea-list{
        gap: 30px;
    }
    .linkarea-list li {
        width: calc(33.3333% - 20px);
    }
}

@container select_size (max-width: 600px) {
    .linkarea-list{
        gap: 20px;
    }
    .linkarea-list li {
        width: calc(33.3333% - 13.3333px);
    }
    .linkarea-list.machi li {
        width: calc(50% - 10px);
    }
}

@container select_size (max-width: 480px) {
    .linkarea-list li {
        width: calc(50% - 10px);
    }
}

@container select_size (max-width: 420px) {
    .item-txt {
        font-size: 3vw;
    }
}